//
//  WebSwiftViewController+QRView.swift
//  MobilePortal
//
//  Created by caiyang on 2022/5/17.
//  Copyright © 2022 yin chen. All rights reserved.
//

import Foundation
import UIKit
import ScanKitFrameWork

extension WebSwiftViewController {
    
    func gotoQRVC() {
        self.hmsCustomScanViewController = HmsCustomScanViewController()
        self.hmsCustomScanViewController.customizedScanDelegate = self
        self.hmsCustomScanViewController.backButtonHidden = false
        self.hmsCustomScanViewController.continuouslyScan = true
        self.pushViewController(viewController: self.hmsCustomScanViewController, animated: true)
        
    }
    
    func customizedScanDelegate(forResult resultDic: [AnyHashable : Any]!) {
        print(resultDic)
    }
    
}
